Bug 352121 - chmsee should not depend on specific version of firefox
chmsee should not depend on specific version of firefox
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: chmsee (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Yijun Yuan
Fedora Extras Quality Assurance
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-25 07:52 EDT by Lubomir Kundrak
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-09 22:02:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2007-10-25 07:52:39 EDT
Description of problem:

I believe the dependency of the package on specific version of firefox is
incorrect. The package should depend on gecko-lib instead.

Not having the correct dependency makes it harder to track packages that should
be rebuilt when firefox/gecko-libs is rebuilt and causes dependency and possibly
security problems.

Version-Release number of selected component (if applicable):

chmsee-0:1.0.0-1.24.fc8.i386
Comment 1 Mamoru TASAKA 2007-10-25 09:00:45 EDT
I oppose this.
Comment 2 Yijun Yuan 2007-10-25 09:27:23 EDT
Excuse me? How to depend on gecko-lib and get rebuilt automatically? Thanks!
Comment 3 Lubomir Kundrak 2007-10-25 09:57:57 EDT
Mamoru: I oppose your opposition.
Yuan: please replace the dependency on firefox with dependency on gecko-libs.
Comment 4 Lubomir Kundrak 2007-10-25 10:01:08 EDT
Yuan: also, I was not talking about automatic rebuilds.
Comment 5 Christopher Aillon 2007-10-25 13:20:09 EDT
Hi.  I am the firefox maintainer for Fedora.  I asked lkundrak to file these
bugs.    gecko-libs is actually the correct way to do this.  While it is true
that in theory another package could provide gecko-libs and have different
paths, that will never happen in Fedora, so your argument against that is more
theoretical than anything.

Doing this will make it much easier for me to make the switch to xulrunner, and
will help allow scripting updates.  Please make the change from Requires:
firefox = 2.0.0.8 to Requires: gecko-libs = 1.8.1.8 like most other packages in
the distro.
Comment 6 Patrice Dumas 2007-10-25 15:15:35 EDT
The firefox directory is hardcoded in the chmsee script,
so chmsee must depend on the corresponding firefox version.
Every firefox has a different version for the 
/usr/lib/firefox-x.x.x.x directory. It is not another package,
it is another firefox version.
Comment 7 Christopher Aillon 2007-10-26 07:00:31 EDT
Yes, but that is changing soon to /usr/lib/gecko-x.x.x.x instead of firefox. 
Unless chmsee is an extension/plugin that will not work when xulrunner is in
rawhide, I would appreciate changing the requires.
Comment 8 Patrice Dumas 2007-11-02 19:37:55 EDT
Is the gecko-x.x.x.x changing for each firefox version?
Comment 9 Christopher Aillon 2007-11-06 06:59:11 EST
gecko-x.x.x.x in provides will change for every version, yes, as per the
contents of version.txt in the source code.

the directory name will change less often (for the stable API).  but that is
still dependent on xulrunner.

Note You need to log in before you can comment on or make changes to this bug.